commit b1b7cc0a03df7f8f06d554e888b123e9c8903436
Author: Georg-Johann Lay <avr@gjlay.de>
Date:   Thu Nov 27 15:25:05 2025

    AVR: Add new devices AVR16LA14/20/28/32 and AVR32LA14/20/28/32.
    
    gcc/
            * config/avr/avr-mcus.def (AVR_MCUS): Add avr16la14, avr16la20,
            avr16la28, avr16la32, avr32la14, avr32la20, avr32la28, avr32la32.
            * doc/avr-mmcu.texi: Rebuild.
    
    (cherry picked from commit ae65633676fba0eadf3516fd8d7b9bb21788f9f5)

diff --git a/gcc/config/avr/avr-mcus.def b/gcc/config/avr/avr-mcus.def
index 896623d039e..8b05af54507 100644
--- a/gcc/config/avr/avr-mcus.def
+++ b/gcc/config/avr/avr-mcus.def
@@ -421,6 +421,14 @@ AVR_MCU ("avr16ea48",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR
 AVR_MCU ("avr32ea28",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32EA28__",   0x7000, 0x0, 0x8000, 0x8000)
 AVR_MCU ("avr32ea32",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32EA32__",   0x7000, 0x0, 0x8000, 0x8000)
 AVR_MCU ("avr32ea48",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32EA48__",   0x7000, 0x0, 0x8000, 0x8000)
+AVR_MCU ("avr16la14",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR16LA14__",   0x7800, 0x0, 0x4000, 0x8000)
+AVR_MCU ("avr16la20",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR16LA20__",   0x7800, 0x0, 0x4000, 0x8000)
+AVR_MCU ("avr16la28",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR16LA28__",   0x7800, 0x0, 0x4000, 0x8000)
+AVR_MCU ("avr16la32",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR16LA32__",   0x7800, 0x0, 0x4000, 0x8000)
+AVR_MCU ("avr32la14",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32LA14__",   0x7800, 0x0, 0x8000, 0x8000)
+AVR_MCU ("avr32la20",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32LA20__",   0x7800, 0x0, 0x8000, 0x8000)
+AVR_MCU ("avr32la28",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32LA28__",   0x7800, 0x0, 0x8000, 0x8000)
+AVR_MCU ("avr32la32",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32LA32__",   0x7800, 0x0, 0x8000, 0x8000)
 AVR_MCU ("avr32sd20",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32SD20__",   0x7000, 0x0, 0x8000, 0x8000)
 AVR_MCU ("avr32sd28",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32SD28__",   0x7000, 0x0, 0x8000, 0x8000)
 AVR_MCU ("avr32sd32",        ARCH_AVRXMEGA3, AVR_CVT,                 "__AVR_AVR32SD32__",   0x7000, 0x0, 0x8000, 0x8000)
